Skip to content

LoanAppFieldName⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanAppFieldNameSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppFieldNameSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppFieldNameSelectFields
POST /nexum/627/persistent/parameter/getLoanAppFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppFieldNameFields": true,
    "LoanAppFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppFieldNamePagedListSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppFieldNamePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppFieldNamePagedListSelectFields
POST /nexum/627/persistent/parameter/getLoanAppFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppFieldNameFields": true,
    "LoanAppFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanAppFieldNamePagedSelectFields⁠

POST

Execute the persistent ParameterService searchLoanAppFieldNamePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLoanAppFieldNamePagedSelectFields
POST /nexum/627/persistent/parameter/searchLoanAppFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppFieldNameFields": true,
    "LoanAppFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanAppFieldNameByID⁠

POST

Execute the persistent ParameterService updateLoanAppFieldNameByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLoanAppFieldNameByID
POST /nexum/627/persistent/parameter/updateLoanAppFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LoanAppFieldNameFields": {
    "Field": 0,
    "FieldName": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}